Subject: Re: [PATCH 0/3] Add `-p' option to `git-mv', inspired by `mkdir'

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 Oct 2023 14:58:09 +0900

Dragan Simic <[email-masked]> writes:

> A quite similar ambiguity exists in cp(1) in mv(1), which is also
> resolved by the use of the trailing slash character.  However, I've
> encountered only one person aware of that disambiguation, and in cp(1)
> only, but in the "I always include the trailing slash" way, without
> actually understanding it fully.  Maybe I need to encounter more
> people, I don't know.

If the majority of (perhaps new) users you already know find such
disambiguation method unfamiliar, that already is a good anecdata
without any need for you to meet more people to tell us that it is
not a very easy-to-understand thing for them, no?